CreateNotebook
Creates a notebook in Amazon SageMaker Unified Studio. A notebook is a collaborative document within a project that contains code cells for interactive computing.
Request Syntax
POST /v2/domains/domainIdentifier/notebooks HTTP/1.1
Content-type: application/json
{
"clientToken": "string",
"description": "string",
"metadata": {
"string" : "string"
},
"name": "string",
"owningProjectIdentifier": "string",
"parameters": {
"string" : "string"
}
}
URI Request Parameters
The request uses the following URI parameters.
- domainIdentifier
-
The identifier of the Amazon SageMaker Unified Studio domain in which to create the notebook.
Pattern:
dzd[-_][a-zA-Z0-9_-]{1,36}Required: Yes
Request Body
The request accepts the following data in JSON format.
- clientToken
-
A unique, case-sensitive identifier to ensure idempotency of the request. This field is automatically populated if not provided.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 128.
Pattern:
[\x21-\x7E]+Required: No
- description
-
The description of the notebook.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 2048.
Required: No
- metadata
-
The metadata for the notebook, specified as key-value pairs. You can specify up to 50 entries, with keys up to 128 characters and values up to 1024 characters.
Type: String to string map
Map Entries: Minimum number of 0 items. Maximum number of 50 items.
Key Length Constraints: Minimum length of 0. Maximum length of 128.
Value Length Constraints: Minimum length of 0. Maximum length of 1024.
Required: No
- name
-
The name of the notebook. The name must be between 1 and 256 characters.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 256.
Required: Yes
- owningProjectIdentifier
-
The identifier of the project that owns the notebook.
Type: String
Pattern:
[a-zA-Z0-9_-]{1,36}Required: Yes
- parameters
-
The sensitive parameters for the notebook, specified as key-value pairs. You can specify up to 50 entries, with keys up to 128 characters and values up to 1024 characters.
Type: String to string map
Map Entries: Minimum number of 0 items. Maximum number of 50 items.
Key Length Constraints: Minimum length of 0. Maximum length of 128.
Value Length Constraints: Minimum length of 0. Maximum length of 1024.
Required: No
Response Syntax
HTTP/1.1 201
Content-type: application/json
{
"cellOrder": [
{
}
],
"computeId": "string",
"createdAt": number,
"createdBy": "string",
"description": "string",
"domainId": "string",
"environmentConfiguration": {
"imageVersion": "string",
"packageConfig": {
"packageManager": "string",
"packageSpecification": "string"
}
},
"error": {
"message": "string"
},
"id": "string",
"lockedAt": number,
"lockedBy": "string",
"lockExpiresAt": number,
"metadata": {
"string" : "string"
},
"name": "string",
"owningProjectId": "string",
"parameters": {
"string" : "string"
},
"status": "string",
"updatedAt": number,
"updatedBy": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 201 response.
The following data is returned in JSON format by the service.
- cellOrder
-
The ordered list of cells in the notebook.
Type: Array of CellInformation objects
Array Members: Minimum number of 0 items. Maximum number of 200 items.
- computeId
-
The identifier of the compute associated with the notebook.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 64.
- createdAt
-
The timestamp of when the notebook was created.
Type: Timestamp
- createdBy
-
The identifier of the user who created the notebook.
Type: String
- description
-
The description of the notebook.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 2048.
- domainId
-
The identifier of the Amazon SageMaker Unified Studio domain.
Type: String
Pattern:
dzd[-_][a-zA-Z0-9_-]{1,36} - environmentConfiguration
-
The environment configuration of the notebook.
Type: EnvironmentConfig object
- error
-
The error details if the notebook creation failed.
Type: NotebookError object
- id
-
The identifier of the notebook.
Type: String
Pattern:
[a-zA-Z0-9_-]{1,36} - lockedAt
-
The timestamp of when the notebook was locked.
Type: Timestamp
- lockedBy
-
The identifier of the user who locked the notebook.
Type: String
- lockExpiresAt
-
The timestamp of when the notebook lock expires.
Type: Timestamp
- metadata
-
The metadata of the notebook.
Type: String to string map
Map Entries: Minimum number of 0 items. Maximum number of 50 items.
Key Length Constraints: Minimum length of 0. Maximum length of 128.
Value Length Constraints: Minimum length of 0. Maximum length of 1024.
- name
-
The name of the notebook.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 256.
- owningProjectId
-
The identifier of the project that owns the notebook.
Type: String
Pattern:
[a-zA-Z0-9_-]{1,36} - parameters
-
The sensitive parameters of the notebook.
Type: String to string map
Map Entries: Minimum number of 0 items. Maximum number of 50 items.
Key Length Constraints: Minimum length of 0. Maximum length of 128.
Value Length Constraints: Minimum length of 0. Maximum length of 1024.
- status
-
The status of the notebook.
Type: String
Valid Values:
ACTIVE | ARCHIVED - updatedAt
-
The timestamp of when the notebook was last updated.
Type: Timestamp
- updatedBy
-
The identifier of the user who last updated the notebook.
Type: String
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You do not have sufficient access to perform this action.
HTTP Status Code: 403
- ConflictException
-
There is a conflict while performing this action.
HTTP Status Code: 409
- InternalServerException
-
The request has failed because of an unknown error, exception or failure.
HTTP Status Code: 500
- ResourceNotFoundException
-
The specified resource cannot be found.
HTTP Status Code: 404
- ServiceQuotaExceededException
-
The request has exceeded the specified service quota.
HTTP Status Code: 402
- ThrottlingException
-
The request was denied due to request throttling.
HTTP Status Code: 429
- UnauthorizedException
-
You do not have permission to perform this action.
HTTP Status Code: 401
- ValidationException
-
The input fails to satisfy the constraints specified by the AWS service.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: